% Copying and distribution of this file, with or without modification,
% are permitted in any medium without royalty provided the copyright
% notice and this notice are preserved.  This file is offered as-is,
% without any warranty.

function [resultScalar] = bayup_straub2013_octave(rvv)

  % define the dynamic system parameters:
  m1 = 16.5e3;
  m2 = 16.1e3;
  k1f = 29.7e6;
  k2f = 29.7e6;
  k1 = rvv(1)*k1f;
  k2 = rvv(2)*k2f;

  M = [m1 0 ; 0 m2];
  K = [k1 + k2, -k2; -k2, k2];
    
  [V,D] = eig(M^(-1)*K);
    
  freq = sqrt(diag(D))/(2*pi);
  %modeshape = V;
  
  % measured eigenfrequencies:
  freq_m1 = 3.13;
  freq_m2 = 9.83;

  % define likelihood
  i = 9;
  var_eps = 0.5^(i-1);
  resultScalar = exp(-sum((freq.^2 ./[freq_m2;freq_m1].^2-1).^2)/(2*var_eps));

end
