# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

# $1: path to Fesslix executable
# $2: path to example directory
# $3: yes/no for memory check

tmp_dir="/tmp/fesslix_tests/"

if test ! -d /tmp/fesslix_tests/; then
  mkdir ${tmp_dir}
fi

echo "Checking tests ..."

for i in `ls *.flx`; do
  echo ""
  bash test.sh $1 ${i%.flx} ${tmp_dir} test $3
  if test $? -eq 1; then
    exit 1;
  fi
done

echo ""
echo "All tests successfully completed."

if [[ -z $2 ]]; then
  rm -r $tmp_dir
  exit 0;
fi

echo ""
echo "Checking examples ..."

for i in `ls ${2%/}/*.flx`; do
  echo ""
  bash test.sh $1 ${i%.flx} ${tmp_dir} example $3
  if test $? -eq 1; then
    exit 1;
  fi
done

echo ""
echo "All examples successfully checked"

rm -r $tmp_dir
exit 0;
